### Signal

# Gio DBusObject::interface-added

since: 2.30

#### Declaration

    void
    interface_added (
      GDBusObject* self,
      GDBusInterface* interface,
      gpointer user_data
    )

#### Description

Emitted when `interface` is added to `object`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.30

#### Parameters

`interface`

  Type: `GDBusInterface`

  The `GDBusInterface` that was added.

  The data is owned by the caller of the function.